
#include <stdio.h>
#include <fcntl.h>
#include <signal.h>
#include <time.h>
#include <sched.h>
#include <unistd.h>
#include <math.h>

int main()
{
	short vals[3] = { 0, 0, 0 };
	int delta = 1;

	int fd = open("/dev/dac", O_RDWR);
	if (fd < 0) {
		printf("couldn't open /dev/dac for writing\n");
		return -1;
	}

	printf("Running test current through the DAC...\n");

	while (1)
	{
		write(fd, vals, sizeof(unsigned short) * 3);

		vals[0] += delta;
		vals[1] += delta;
		vals[2] += delta;

		if (vals[0] >= (1 << 12)) vals[0] = 0;
		if (vals[1] >= (1 << 12)) vals[1] = 0;
		if (vals[2] >= (1 << 12)) vals[2] = 0;
	}

	close(fd);
	return 0;
}

